/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLDListElement_H___INT_
#define __GdomHTMLDListElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLDListElement.h"
G_BEGIN_DECLS
class GDOMHTMLDListElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTMLD_LIST_ELEMENT; }
    GDOMHTMLDListElement(PassRefPtr<WebCore::HTMLDListElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLDListElement_H___INT_*/
